package betterwithmods.common.items;

import betterwithmods.module.ModuleLoader;
import betterwithmods.module.hardcore.creatures.HCChickens;
import betterwithmods.util.InvUtils;
import net.minecraft.block.Block;
import net.minecraft.entity.EntityLivingBase;
import net.minecraft.entity.passive.EntityChicken;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.item.ItemBlock;
import net.minecraft.item.ItemStack;
import net.minecraft.util.EnumFacing;
import net.minecraft.util.EnumHand;

public class ItemHempSeed extends ItemBlock {
    public ItemHempSeed(Block block) {
        super(block);
    }

    @Override
    public boolean func_111207_a(ItemStack stack, EntityPlayer playerIn, EntityLivingBase target, EnumHand hand) {
        if (ModuleLoader.isFeatureEnabled(HCChickens.class))
            return false;
        if (target instanceof EntityChicken) {
            EntityChicken chicken = (EntityChicken) target;
            if (chicken.func_70874_b() == 0 && !chicken.func_70880_s()) {
                chicken.func_146082_f(playerIn);
                InvUtils.usePlayerItem(playerIn, EnumFacing.UP, stack, 1);
                return true;
            }
        }
        return false;
    }
}
